use axum::extract::Path;
use axum::http::StatusCode;
use axum::response::IntoResponse;
use crate::collectors::stats::get_player_stats;
use super::convert_into_prom_metrics;

pub async fn get_stats(Path(rsn): Path<String>) -> impl IntoResponse {
    let resp = match get_player_stats(&rsn).await {
        Ok(r) => r,
        Err(_) => return (StatusCode::INTERNAL_SERVER_ERROR, "Nope".to_string())
    };

    (StatusCode::OK, convert_into_prom_metrics(resp))
}